﻿using System;
using Newtonsoft.Json;
using ServiceBusAppDemo.Common;
using ServiceBusAppDemo.Messages;

namespace ServiceBusAppDemo.Receiver
{
    class Program
    {
        static void Main(string[] args)
        {
            IServiceBus bus = new ServiceBus(new Logger());
            Console.WriteLine("Press Q to quit, any other key to receive");
            var key = Console.ReadKey();
            while (key.Key.ToString().ToUpper() != "Q")
            {
                Console.Clear();
                bus.ReceiveMessage<Person>(new Software("Package1"), p =>
                    {
                        Console.WriteLine(p != null ? JsonConvert.SerializeObject(p.MessageBody) : "No messages to receive");
                        return true;
                    });

                bus.ReceiveMessage<Company>(new Software("Package2"), p =>
                {
                    Console.WriteLine(p != null ? JsonConvert.SerializeObject(p.MessageBody) : "No messages to receive");
                    return true;
                });

                Console.WriteLine("Press Q to quit, any other key to receive");
                key = Console.ReadKey();
            }
        }
    }
}
