﻿using System;
using ServiceBusAppDemo.Common;
using ServiceBusAppDemo.Messages;

namespace ServiceBusAppDemo.Sender
{
    class Program
    {
        static void Main(string[] args)
        {
            IServiceBus bus = new ServiceBus(new Logger());
            Console.Write("Press A or B to send one of two test messages, Q to quit");
            var key = Console.ReadKey();
            while (key.Key.ToString().ToUpper() != "Q")
            {
                Console.Clear();
                if (key.Key.ToString().ToUpper() == "A")
                {
                    var person = new Person
                        {
                            FirstName = "Sergey",
                            LastName = "Basrkiy"
                        };
                    bus.SendMessage(person);
                    Console.WriteLine("Person message sent");
                    Console.Write("Press A or B to send one of two test messages, Q to quit");
                    key = Console.ReadKey();
                }
                else if (key.Key.ToString().ToUpper() == "B")
                {
                    var company = new Company
                        {
                            CompanyName = "My",
                            DateAdded = DateTime.Now
                        };
                    bus.SendMessage(company);
                    Console.WriteLine("Company message sent");
                    Console.Write("Press A or B to send one of two test messages, Q to quit");
                    key = Console.ReadKey();
                }
                else
                {
                    Console.WriteLine("Invalid letter");
                    Console.Write("Press A or B to send one of two test messages, Q to quit");
                    key = Console.ReadKey();
                }
            }
            
        }
    }
}
